Subject: Re: [PATCH v2] receive-pack: purge temporary data if no command is ready to run

From: Junio C Hamano <[email-masked]>
Date: Sat, 05 Feb 2022 00:02:17 -0800

Bojun Chen <[email-masked]> writes:

>> This check can _almost_ be doable without being able to access the
>> new objects, and as a follow-on work, it might not be a bad little
>> project to see how we can move the call to check_aliased_updates()
>> before this loop we are adding in this patch (#leftoverbits).
>>
>> Thanks.
>
> Thanks for your suggestion, I agree with you. But I'm confused should
> I continue in this patch or start a new patch.

Neither.

You are under no obligation to take such a different project, which
may be vaguely related to this one.  This early return by itself is
a worthwhile improvement, so let's concentrat on finishing this
topic first.